Bug 843583 - Build Firefox with gstreamer
Build Firefox with gstreamer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jan Horak
Fedora Extras Quality Assurance
http://www.quirksmode.org/html5/tests...
: FutureFeature, Triaged
: 841234 962728 1009715 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 13:02 EDT by Sam Tygier
Modified: 2014-03-06 03:20 EST (History)
28 users (show)

See Also:
Fixed In Version: firefox-27.0.1-1.fc19
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1161077 (view as bug list)
Environment:
Last Closed: 2014-01-17 00:45:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 760140 None None None 2012-10-09 06:21:47 EDT
Mozilla Foundation 794282 None None None 2012-10-04 07:04:58 EDT
Mozilla Foundation 806917 None None None Never

  None (edit)
Description Sam Tygier 2012-07-26 13:02:10 EDT
User-Agent:       Mozilla/5.0 (X11; Linux i686; rv:14.0) Gecko/20100101 Firefox/14.0.1
Build Identifier: 

Firefox 14 has a build option --enable-gstreamer that allows it to playback html5 videos using codecs from gstreamer. This allows users to add codecs that are not shipped by default (notably H.264).

This is not enabled in current fedora builds (as can be seen by putting about:buildconfig in the URL bar), hence only theora and webm videos can be played.

This would increase the number of sites on which the html5 video can be used instead of flash.

I assume that this would be equivalent licence-wise to rhythmbox and gstreamer, that can have additional codecs added by the user through gstreamer plugins. 

Reproducible: Always

Steps to Reproduce:
1. open the page http://www.quirksmode.org/html5/tests/video.html
2. only the theora and webm videos play



Expected Results:  
With --enable-gstreamer and the correct gstreamer plugins added the H.264 video should also play
Comment 1 Sam Tygier 2012-07-30 09:10:46 EDT
I tried to build an a modified copy of firefox using https://fedoraproject.org/wiki/How_to_create_an_RPM_package but installation always fails with 
error: unpacking of archive failed on file /usr/lib/firefox/firefox;50167b6f: cpio: Digest mismatch
even if I build it completely in modified.
Comment 2 Martin Stransky 2012-07-30 09:14:10 EDT
It's a problem with prelink. Uninstall it and the package should build ok.
Comment 3 Jan Horak 2012-07-30 09:30:45 EDT
I've done a little bit testing and I've problem with ogg theora video here:
http://www.quirksmode.org/html5/tests/video.html
Sound is ok, but video is black.
On some sites (like http://double.co.nz/video_test/video.svg) video freeze after few seconds. Maybe is just my fedora 17 but we'll have to investigate it further before we ship it.
Comment 4 Sam Tygier 2012-07-30 12:30:12 EDT
thanks. removing prelink allows me to build the firefox rpm.

i added
echo "ac_add_options --enable-gstreamer" >> .mozconfig
to the spec file.

i then remove firefox with yum, and install the package i build with rpm -i. however look at about:buildconfig it looks like i still have the fedora version, it does not have the --enable-gstreamer, and it says the build machine is buildvm-04. do i need to build xulrunner aswell?
Comment 5 Sam Tygier 2012-07-30 17:31:31 EDT
i rebuilt xulrunner with enable-gstreamer, and get similar to you. on the quirksmode the H.264 and webm play fine, but the ogg gives no picture sometimes and freezes other times.

On a x86-64 gentoo desktop the ogg files work fine, but thats a lot of different variables.
Comment 6 Jan Horak 2012-07-31 10:28:55 EDT
*** Bug 841234 has been marked as a duplicate of this bug. ***
Comment 7 Sam Tygier 2012-08-31 11:32:41 EDT
I had less success with rebuilding firefox 15. it crashes on http://www.quirksmode.org/html5/tests/video.html and hangs on http://www.mozilla.org/en-US/firefox/15.0/firstrun/
Comment 8 Matěj Cepl 2012-10-09 06:21:47 EDT
Just noticing for anybody who wants to play with this a comment on the upstream bug:
> 
> I think it would be unwise for distros to turn GStreamer on before bug
> 760140 is fixed.

That's https://bugzilla.mozilla.org/show_bug.cgi?id=760140
Comment 9 Jan Horak 2013-02-18 04:24:04 EST
We'll build Firefox with gstreamer as soon as gstreamer-1.0 will be available.
Comment 10 Peter Lemenkov 2013-02-18 04:28:24 EST
(In reply to comment #9)
> We'll build Firefox with gstreamer as soon as gstreamer-1.0 will be
> available.

I think it's already happened - just look at "yum list gstreamer1*" output.
Comment 11 Martin Stransky 2013-02-18 04:34:48 EST
...and the bug https://bugzilla.mozilla.org/show_bug.cgi?id=760140 is fixed....
Comment 12 Jan Horak 2013-02-18 04:47:14 EST
(In reply to comment #10)
> (In reply to comment #9)
> > We'll build Firefox with gstreamer as soon as gstreamer-1.0 will be
> > available.
> 
> I think it's already happened - just look at "yum list gstreamer1*" output.

Oh, I didn't know there's gstreamer1 package, thanks for pointing this out. I'll to test builds with gstreamer1 and if everything will be ok, we'll release Firefox with gstreamer soon.
Comment 13 Peter Lemenkov 2013-04-01 05:49:18 EDT
Ping. Any news here?
Comment 14 Jan Horak 2013-04-05 06:26:47 EDT
Firefox is not ready for gstreamer1 yet, see https://bugzilla.mozilla.org/show_bug.cgi?id=806917 for further info. Since gstreamer 0.10 is now obsolete we're going to compile firefox with gstreamer1 only when it is ready.
Comment 15 Fedora End Of Life 2013-07-03 18:57:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 zachw 2013-09-21 06:35:57 EDT
I saw gstreamer enabled by default in the firefox 24 release, went to try it out and fedora has disabled it via --gstreamer-disable in mozconfig. Why did gstreamer get disabled?

* the x86_64 binary from mozilla played the h.264 test on http://www.quirksmode.org/html5/tests/video.html ok on my f19 x86_64 laptop.
* bug 1009715 could be marked duplicate of this one.
Comment 17 Julian Sikorski 2013-09-21 06:48:37 EDT
*** Bug 1009715 has been marked as a duplicate of this bug. ***
Comment 18 Sam Tygier 2013-09-22 06:10:27 EDT
I had a go rebuilding the fedora RPM on f19 after removing the --disable-gstreamer line from rpmbuild/SOURCES/xulrunner-mozconfig

I get the error.

configure:20600: checking for gstreamer-0.10 >= 0.10.25
                      gstreamer-app-0.10
                      gstreamer-plugins-base-0.10
*** Fix above errors and then restart with               "make -f client.mk build"
make[2]: Leaving directory `/builddir/build/BUILD/xulrunner-24.0/mozilla-release'
make[1]: Leaving directory `/builddir/build/BUILD/xulrunner-24.0/mozilla-release'

I have 
gstreamer-devel-0.10.36-3.fc19.x86_64
gstreamer-plugins-base-devel-0.10.36-4.fc19.x86_64
installed.
Comment 19 Peter Robinson 2013-09-22 20:56:57 EDT
(In reply to Sam Tygier from comment #18)
> I had a go rebuilding the fedora RPM on f19 after removing the
> --disable-gstreamer line from rpmbuild/SOURCES/xulrunner-mozconfig

See comment 14 for an explanation as to why it's not yet enabled and the upstream bug which tracks gstreamer-1.0 support
Comment 20 zachw 2013-09-24 08:49:08 EDT
Thanks Peter, I should have read more carefully.

Sam, the xulrunner and firefox rpms built ok for me. I don't know why. I installed every gstreamer package I could find including gstreamer1 devel packages but I don't think configure looks at those.

I had a strange dependency error when I went to install xulrunner, workarounded by rpm -U --nodeps.

# yum localinstall  xulrunner-24.0-3.fc19.x86_64.rpm xulrunner-devel-24.0-3.fc19.x86_64.rpm 
<snip>
Error: Package: xulrunner-24.0-3.fc19.x86_64 (/xulrunner-24.0-3.fc19.x86_64)
           Requires: sqlite >= 3.8.0.2
           Installed: sqlite-3.8.0-2.fc19.x86_64 (@updates)
               sqlite = 3.8.0-2.fc19
           Available: sqlite-3.7.17-1.fc19.i686 (fedora)
               sqlite = 3.7.17-1.fc19
Comment 21 Peter Lemenkov 2013-10-04 14:16:17 EDT
*** Bug 962728 has been marked as a duplicate of this bug. ***
Comment 22 Martin Stransky 2014-01-14 07:04:54 EST
The latest builds (firefox-26.0-5) have gstreamer enabled, so you can test it. It's the old, 0.10 one. You can get it there - http://koji.fedoraproject.org/koji/packageinfo?packageID=37

Note - you need the Firefox package only.
Comment 23 Harald Reindl 2014-01-14 07:24:09 EST
with the *really* latest build it works
that is the one with no dependency to xulrunner

i tried it yesterday with firefox-26.0-3.fc20.x86_64 before 
answered at the devel-list with "if that would be true"
and with this package it did not
_____________________________

fine now with:

[harry@rh:~]$ rpm -q firefox
firefox-26.0-5.fc20.x86_64

[harry@rh:~]$ rpm -qa | grep gstreamer
gstreamer1-plugins-base-1.2.2-1.fc20.x86_64
gstreamer-plugins-bad-free-0.10.23-19.fc20.x86_64
gstreamer-ffmpeg-0.10.13-10.fc20.x86_64
gstreamer1-1.2.2-1.fc20.x86_64
gstreamer-plugins-good-0.10.31-10.fc20.x86_64
gstreamer-python-0.10.22-5.fc20.x86_64
gstreamer-plugins-base-0.10.36-6.fc20.x86_64
gstreamer-0.10.36-6.fc20.x86_64
gstreamer-plugins-ugly-0.10.19-14.fc20.x86_64
gstreamer-tools-0.10.36-6.fc20.x86_64
Comment 24 Fedora Update System 2014-01-15 10:36:35 EST
firefox-26.0-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/firefox-26.0-5.fc20
Comment 25 Fedora Update System 2014-01-15 10:36:54 EST
firefox-26.0-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/firefox-26.0-5.fc19
Comment 26 Fedora Update System 2014-01-16 01:57:14 EST
Package firefox-26.0-5.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firefox-26.0-5.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0876/firefox-26.0-5.fc20
then log in and leave karma (feedback).
Comment 27 Sergio Monteiro Basto 2014-01-16 03:05:35 EST
sorry , firefox-26.0-5.fc20.x86_64 fails to play some pre-rolls which works with flash-plugin, so I can't give positive karma to this build ... 

I install this two days ago, and I use firefox as default browser and with gsstreamer , I had already a few situations that not work accurate as with previous version .
Comment 28 Jan Horak 2014-01-16 04:30:12 EST
(In reply to Sergio Monteiro Basto from comment #27)
> sorry , firefox-26.0-5.fc20.x86_64 fails to play some pre-rolls which works
> with flash-plugin, so I can't give positive karma to this build ... 
> 
> I install this two days ago, and I use firefox as default browser and with
> gsstreamer , I had already a few situations that not work accurate as with
> previous version .

Thank you for testing. Please be sure you have required gstreamer codecs installed.
Comment 29 Jan Horak 2014-01-16 04:30:55 EST
And attach links to non working videos if possible that we can investigate it. Thank you.
Comment 30 Harald Reindl 2014-01-16 04:51:08 EST
> sorry , firefox-26.0-5.fc20.x86_64 fails to play some pre-rolls 
> which works with flash-plugin, so I can't give positive karma 
> to this build ...

gstreamer-support does not take away the flash-plugin
it covers the cases where no flash-plugin is installed
and a proper written webpage offers HTML5 video with H264

besides that it is not very helpful say "to play some pre-rolls"
without an real-world example..........
Comment 31 Sergio Monteiro Basto 2014-01-16 12:10:44 EST
http://www.rtp.pt/play/p1366/e137042/os-filhos-do-rock
Comment 32 Nerijus Baliūnas 2014-01-16 12:59:03 EST
This page asks to install flash player. Most probably badly written webpage. Please give examples, which, for example, work with google chrome, but does not with FF.
For example, http://www.quirksmode.org/html5/tests/video.html works.
Comment 33 Harald Reindl 2014-01-16 13:04:33 EST
> http://www.rtp.pt/play/p1366/e137042/os-filhos-do-rock

WTF that is *flash* - has that to do with gstreamer?
EXPLAIN why you can't give karma because a off-topic crap-page?

do you expect that FF with gstreamer completly replaces flash?
if yes how did you come to this idea?

the intention of firefox with gstreamer is that a smart web-developer can use HTML5 with H264 baseline for videos *with only one mediafile* instead offer H264, OGG and WEBM or at least 2 of them and without need flash at all as fallback

currently the webdeveloper has to chose

* ignore FF on Fedora completly
* force the user to install flash which is *not* part of Fedora
* offer multiple videos to support browsers with no H264 and no Flash

so *what* is your *real* problem?
Comment 34 Sergio Monteiro Basto 2014-01-16 13:11:34 EST
(In reply to Harald Reindl from comment #33)
> > http://www.rtp.pt/play/p1366/e137042/os-filhos-do-rock
> 
> WTF that is *flash* - has that to do with gstreamer?
> EXPLAIN why you can't give karma because a off-topic crap-page?
> 
> do you expect that FF with gstreamer completly replaces flash?
> if yes how did you come to this idea?
> 
> the intention of firefox with gstreamer is that a smart web-developer can
> use HTML5 with H264 baseline for videos *with only one mediafile* instead
> offer H264, OGG and WEBM or at least 2 of them and without need flash at all
> as fallback
> 
> currently the webdeveloper has to chose
> 
> * ignore FF on Fedora completly
> * force the user to install flash which is *not* part of Fedora
> * offer multiple videos to support browsers with no H264 and no Flash
> 
> so *what* is your *real* problem?

OK yesterday I got a bunch of problem , Firefox crash , prerolls in rtp.pt are all fucked up , etc etc , today I wake up reinstall firefox and things seems to work ... .

Sorry for the alarm , and well Firefox will be push stable as is write .
Comment 35 Fedora Update System 2014-01-17 00:45:58 EST
firefox-26.0-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 36 Fedora Update System 2014-01-21 10:21:05 EST
firefox-26.0-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/firefox-26.0-6.fc20
Comment 37 Fedora Update System 2014-01-21 10:21:41 EST
firefox-26.0-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/firefox-26.0-6.fc19
Comment 38 Sergio Monteiro Basto 2014-01-21 11:42:07 EST
hi after test firefox in two computers I can since I install firefox with gsstream breaks many sites with flash , in my last test in a different machine , put flash flicking , 

I talking about pirate sites which I cant put here , I only got http://www.rtp.pt/play/ as example , more strange while I'm writing this comment was that flicking stop and site seems works well now, I don't understand why sometimes I have firefox all messed up and I can't fix it, even with a reboot .

I will test in a third computer tonight.
Comment 39 Jan Horak 2014-01-22 04:49:02 EST
(In reply to Sergio Monteiro Basto from comment #38)
> hi after test firefox in two computers I can since I install firefox with
> gsstream breaks many sites with flash , in my last test in a different
> machine , put flash flicking , 
> 
> I talking about pirate sites which I cant put here , I only got
> http://www.rtp.pt/play/ as example , more strange while I'm writing this
> comment was that flicking stop and site seems works well now, I don't
> understand why sometimes I have firefox all messed up and I can't fix it,
> even with a reboot .
> 
> I will test in a third computer tonight.

Could you please attach 'about:support' page (you can also get it from menu Help/Troubleshooting information)?

You can also try to disable gstreamer backed in about:config settings named media.gstreamer.enabled.
Comment 40 Sergio Monteiro Basto 2014-01-22 15:50:51 EST
set media.gstreamer.enabled to 0,  doesn't fix flash flicking , only downgrade to firefox-26.0-3.fc20.x86_64 


Application Basics
------------------

Name: Firefox
Version: 26.0
User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:26.0) Gecko/20100101 Firefox/26.0

Extensions
----------

Name: Adblock Plus
Version: 2.4.1
Enabled: true
ID: {d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}

Name: Firebug
Version: 1.12.6
Enabled: true
ID: firebug@software.joehewitt.com

Name: Live HTTP headers
Version: 0.17
Enabled: true
ID: {8f8fe09b-0bd3-4470-bc1b-8cad42b8203a}

Name: Tab Mix Plus
Version: 0.4.1.2.02
Enabled: true
ID: {dc572301-7619-498c-a57d-39143191b318}

Name: Web Developer
Version: 1.2.5
Enabled: true
ID: {c45c406e-ab73-11d8-be73-000a95be3b12}

Important Modified Preferences
------------------------------

accessibility.typeaheadfind.flashBar: 0
browser.cache.disk.capacity: 358400
browser.cache.disk.smart_size_cached_value: 358400
browser.cache.disk.smart_size.first_run: false
browser.cache.disk.smart_size.use_old_max: false
browser.places.smartBookmarksVersion: 4
browser.sessionstore.resume_from_crash: false
browser.sessionstore.upgradeBackup.latestBuildID: 20140113150806
browser.startup.homepage: http://www.sapo.pt/
browser.startup.homepage_override.buildID: 20140113150806
browser.startup.homepage_override.mstone: 26.0
browser.tabs.onTop: false
browser.tabs.warnOnClose: false
dom.disable_open_during_load: false
dom.mozApps.used: true
dom.w3c_touch_events.expose: false
extensions.lastAppVersion: 26.0
network.cookie.prefsMigrated: true
places.database.lastMaintenance: 1390421781
places.history.expiration.transient_current_max_pages: 50659
places.history.expiration.transient_optimal_database_size: 81114070
places.last_vacuum: 1295465652
plugin.disable_full_page_plugin_for_types: application/pdf
plugin.importedState: true
plugin.soname.list:
privacy.sanitize.migrateFx3Prefs: true
security.enable_java: true
security.warn_viewing_mixed: false
storage.vacuum.last.index: 1
storage.vacuum.last.places.sqlite: 1389035660

Graphics
--------

Adapter Description: Intel Open Source Technology Center -- Mesa DRI Intel(R) Q45/Q43
Device ID: Mesa DRI Intel(R) Q45/Q43
Driver Version: 2.1 Mesa 9.2.5
GPU Accelerated Windows: 0/2 Basic
Vendor ID: Intel Open Source Technology Center
WebGL Renderer: Intel Open Source Technology Center -- Mesa DRI Intel(R) Q45/Q43
windowLayerManagerRemote: false
AzureCanvasBackend: cairo
AzureContentBackend: none
AzureFallbackCanvasBackend: none
AzureSkiaAccelerated: 0

JavaScript
----------

Incremental GC: true

Accessibility
-------------

Activated: false
Prevent Accessibility: 0

Library Versions
----------------

NSPR
Expected minimum version: 4.10.2
Version in use: 4.10.2

NSS
Expected minimum version: 3.15.3.1
Version in use: 3.15.4 Extended ECC

NSSSMIME
Expected minimum version: 3.15.3.1
Version in use: 3.15.4 Extended ECC

NSSSSL
Expected minimum version: 3.15.3.1
Version in use: 3.15.4 Extended ECC

NSSUTIL
Expected minimum version: 3.15.3
Version in use: 3.15.4
Comment 41 Fedora Update System 2014-01-22 18:03:56 EST
firefox-26.0-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 42 Jan Horak 2014-01-23 10:12:46 EST
Please try the safe mode:
$ firefox -safe-mode
or with fresh profile:
$ firefox -P

You can also test COPR build without gstreamer enabled, I've made it there:
https://copr.fedoraproject.org/coprs/xhorak/firefox-without-gstreamer/
(to be sure it is a gstreamer issue and not new standalone firefox package).
Comment 43 Sergio Monteiro Basto 2014-01-23 15:53:30 EST
(In reply to Jan Horak from comment #42)
> Please try the safe mode:
> $ firefox -safe-mode
> or with fresh profile:
> $ firefox -P
> 
> You can also test COPR build without gstreamer enabled, I've made it there:
> https://copr.fedoraproject.org/coprs/xhorak/firefox-without-gstreamer/
> (to be sure it is a gstreamer issue and not new standalone firefox package).

Hi , thank you for caring about this , and with firefox-26.0-7.fc20.x86_64, I got exactly the same flash problem.  

Thanks,
Comment 44 Sergio Monteiro Basto 2014-01-23 16:04:04 EST
I back to firefox-26.0-3.fc20.x86_64 [1] and flash is working again , since I run firefox -P  from konsole, I saw some messages, I notice I got a message with firefox-26.0-7 that I haven't with firefox-26.0-3 : 

Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object file: No such file or directory
Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object file: No such file or directory

Thanks, 


[1] with rpm -Uvh http://kojipkgs.fedoraproject.org//packages/firefox/26.0/3.fc20/x86_64/firefox-26.0-3.fc20.x86_64.rpm --oldpackage
Comment 45 Martin Stransky 2014-01-24 02:53:21 EST
(In reply to Sergio Monteiro Basto from comment #44)
> Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object
> file: No such file or directory
> Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object
> file: No such file or directory

Those messages are not significant here, flash prints them with disabled gstreamer too.
Comment 46 drago01 2014-01-24 07:08:25 EST
I can confirm the flash bug. Very easy to reproduce just go to speedtest.net
Comment 47 drago01 2014-01-24 07:10:20 EST
Disabling layers.acceleration.force-enabled which I had set to true before fixes it though.
Comment 48 drago01 2014-01-24 07:12:52 EST
(In reply to drago01 from comment #47)
> Disabling layers.acceleration.force-enabled which I had set to true before
> fixes it though.

No this just make it happen less often but still reproduceable.
Comment 49 Sergio Monteiro Basto 2014-01-24 11:32:30 EST
Hi please could you do in a build in copr for Firefox with gstreamer and revert "Drop dependency on libxul, Firefox is now standalone package which does not require xulrunner."
Comment 50 Sergio Monteiro Basto 2014-01-28 22:38:14 EST
I have to open a new bug ?
Comment 51 Peter Lemenkov 2014-01-28 23:47:29 EST
(In reply to Sergio Monteiro Basto from comment #50)
> I have to open a new bug ?

Yes, please - stop polluting this one with your unrelated error reports.
Comment 52 Fedora Update System 2014-02-25 06:42:16 EST
firefox-27.0.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/firefox-27.0.1-1.fc20
Comment 53 Fedora Update System 2014-02-25 06:42:43 EST
firefox-27.0.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/firefox-27.0.1-1.fc19
Comment 54 Fedora Update System 2014-02-28 13:34:49 EST
firefox-27.0.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 55 Fedora Update System 2014-03-06 03:20:51 EST
firefox-27.0.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.